View Issue Details

IDProjectCategoryView StatusLast Update
0011772ScribusStory Editor / Text Framespublic2015-11-14 13:11
ReporterJLuc Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0011772: Choices in Preference > User Interface > Story Editor have some issues (broken/ambiguous)
DescriptionPreferences > User Interface > Story Editor has some issues:

1) "Font:" the font used for typing in the SE in Scribus's preferences window does't take immediate effect when changed. Sometimes when the font change is saved and Scribus is restarted, it will sometimes work (not reliably) the chosen font when you type in SE but the font will still be labeled the default Scribus font.

2) "Background Color" doesn't take in to effect unless Scribus is restarted

3) 'Use Smart Text Selection' needs a tooltip : "The default behavior when double-clicking on a word is to select the word and the first aftercoming space. "Smart" selection will select only the word, without the aftercoming space." (copied from http://wiki.scribus.net/canvas/Working_with_Story_Editor - thanks Kunda)
TagsNo tags attached.
PatchNo

Relationships

parent of 0013530 new Settings in Story Editor when applied exit SE back to canvas 
related to 0013171 resolvedjghali Document Setup or Preferences ... window of value fields malfunction as press 'enter' 
Not all the children of this issue are yet resolved or closed.

Activities

JLuc

2013-10-08 15:54

developer   ~0030688

afaict its the same with the story editor's background color.

JLuc

2013-10-08 15:59

developer   ~0030689

Last edited: 2013-10-08 16:00

amof its not completely well recorded. Sometime, the font is recorded, but not the "bold / italic / regular" spec. It requires to close the preference window and reopen it to see what has / has not been recorded.

Kunda

2015-10-10 23:54

updater   ~0036611

Last edited: 2015-10-10 23:54

Issues persist in 1.5.1svn r20457

I've revised the report to be a little more comprehensive than just the fonts. The whole SE preference submenu needs work.

Kunda

2015-10-25 22:25

updater   ~0036921

Tooltip for issue 3:
"The default behavior when double-clicking on a word is to select the word and the first aftercoming space. "Smart" selection will select only the word, without the aftercoming space." -copied from http://wiki.scribus.net/canvas/Working_with_Story_Editor

Kunda

2015-11-13 21:28

updater   ~0037464

Last edited: 2015-11-13 21:34

All 3 issues have been fixed in r20553/4 by Craig
Thanks to Jluc for reporting and IbtisamN to bring this up in the ML.
There is an issue I found when applying settins within SE that it exits SE back to textbox on the canvas. I will open a separate issue for that and link it back here.

EDIT: Added child issue 0013530 "Settings in Story Editor when applied exit SE back to canvas"

Kunda

2015-11-14 13:11

updater   ~0037478

Closing issue as per above comment.

Issue History

Date Modified Username Field Change
2013-10-08 15:54 JLuc New Issue
2013-10-08 15:54 JLuc Note Added: 0030688
2013-10-08 15:59 JLuc Note Added: 0030689
2013-10-08 16:00 JLuc Note Edited: 0030689
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2015-10-10 23:53 Kunda Patch => No
2015-10-10 23:53 Kunda Status new => confirmed
2015-10-10 23:53 Kunda Summary "font used for story editor" choice in scribus preference has no effect => Choice in Preference > User Interface > Story Editor has some issues
2015-10-10 23:53 Kunda Description Updated
2015-10-10 23:53 Kunda Additional Information Updated
2015-10-10 23:54 Kunda Note Added: 0036611
2015-10-10 23:54 Kunda Note Edited: 0036611
2015-10-10 23:55 Kunda Summary Choice in Preference > User Interface > Story Editor has some issues => Choices in Preference > User Interface > Story Editor have some issues (broken/ambiguous)
2015-10-11 00:07 Kunda Target Version => 1.5.1
2015-10-12 00:55 Kunda Relationship added related to 0013171
2015-10-25 22:25 Kunda Note Added: 0036921
2015-11-11 13:56 JLuc Description Updated
2015-11-11 13:56 JLuc Additional Information Updated
2015-11-13 19:07 cbradney Status confirmed => resolved
2015-11-13 19:07 cbradney Fixed in Version => 1.5.1svn
2015-11-13 19:07 cbradney Resolution open => fixed
2015-11-13 19:07 cbradney Assigned To => cbradney
2015-11-13 21:28 Kunda Note Added: 0037464
2015-11-13 21:33 Kunda Issue cloned: 0013530
2015-11-13 21:33 Kunda Relationship added parent of 0013530
2015-11-13 21:34 Kunda Note Edited: 0037464
2015-11-14 13:11 Kunda Note Added: 0037478
2015-11-14 13:11 Kunda Status resolved => closed